org.gradle.plugins.javascript.jshint

## Class JsHint

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.SourceTask
        - - org.gradle.plugins.javascript.jshint.JsHint

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, PatternFilterable, org.gradle.util.Configurable<Task>

      public class JsHint
      extends SourceTask

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsHint()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doJsHint()`
    `String` | `getEncoding()`
    `FileCollection` | `getJsHint()`
    `File` | `getJsonReport()`
    `FileCollection` | `getRhinoClasspath()`
    `void` | `setEncoding(String encoding)`
    `void` | `setJsHint(Object jsHint)`
    `void` | `setJsonReport(Object jsonReport)`
    `void` | `setRhinoClasspath(Object rhinoClasspath)`

    - ### Methods inherited from class org.gradle.api.tasks.SourceTask

      `exclude, exclude, exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, executeWithoutThrowingTaskFailure, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getGroup, getInputs, getLogger, getLogging, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getStandardOutputCapture, getState, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, leftShift, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setGroup, setName, setOnlyIf, setOnlyIf, setProject, setProperty, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JsHint

          public JsHint()

  - ### Method Detail

    - #### getRhinoClasspath

          @InputFiles
          public FileCollection getRhinoClasspath()

    - #### setRhinoClasspath

          public void setRhinoClasspath(Object rhinoClasspath)

    - #### getJsHint

          @InputFiles
          public FileCollection getJsHint()

    - #### setJsHint

          public void setJsHint(Object jsHint)

    - #### getEncoding

          @Input
          public String getEncoding()

    - #### setEncoding

          public void setEncoding(String encoding)

    - #### getJsonReport

          @OutputFile
          public File getJsonReport()

    - #### setJsonReport

          public void setJsonReport(Object jsonReport)

    - #### doJsHint

          public void doJsHint()